"""Company Domain - JSONL Handler"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import CompanySyncNode
from schemas.company.company import CompanyResponse


class CompanyJsonlHandler(BaseJsonlHandler):
    """公司 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "company", CompanySyncNode, CompanyResponse)

